#! /bin/sh


#####################################################################
#
#	clusterpro_evt set
#
set_evt() {
	if [ $ulflag -eq 1 ]
	then
		chkconfig --set clusterpro_evt on > /dev/null 2>&1
		[ $? -ne 0 ] && { echo "set clusterpro_evt failed!"; exit 99; }
	else
		chkconfig --add clusterpro_evt > /dev/null 2>&1
		[ $? -ne 0 ] && { echo "set clusterpro_evt failed!"; exit 99; }
	fi
}

#####################################################################
#
#	clusterpro_trn set
#
set_trn() {
	if [ $ulflag -eq 1 ]
	then
		chkconfig --set clusterpro_trn on > /dev/null 2>&1
		[ $? -ne 0 ] && { echo "set clusterpro_trn failed!"; exit 99; }
	else
		chkconfig --add clusterpro_trn > /dev/null 2>&1
		[ $? -ne 0 ] && { echo "set clusterpro_trn failed!"; exit 99; }
	fi
}

#####################################################################
#
#	clusterpro_md set
#
set_md() {
	if [ $ulflag -eq 1 ]
	then
		chkconfig --set clusterpro_md on > /dev/null 2>&1
		[ $? -ne 0 ] && { echo "set clusterpro_md failed!"; exit 99; }
	else
		chkconfig --add clusterpro_md > /dev/null 2>&1
		[ $? -ne 0 ] && { echo "set clusterpro_md failed!"; exit 99; }
	fi
}

#####################################################################
#
#	clusterpro set
#
set_clu_main() {
	if [ $ulflag -eq 1 ]
	then
		chkconfig --set clusterpro on > /dev/null 2>&1
		[ $? -ne 0 ] && { echo "set clusterpro failed!"; exit 99; }
	else
		chkconfig --add clusterpro > /dev/null 2>&1
		[ $? -ne 0 ] && { echo "set clusterpro failed!"; exit 99; }
	fi
}

#####################################################################
#
#	clusterpro_webmgr set
#
set_webmgr() {
	if [ $ulflag -eq 1 ]
	then
		chkconfig --set clusterpro_webmgr on > /dev/null 2>&1
		[ $? -ne 0 ] && { echo "set clusterpro_webmgr failed!"; exit 99; }
	else
		chkconfig --add clusterpro_webmgr > /dev/null 2>&1
		[ $? -ne 0 ] && { echo "set clusterpro_webmgr failed!"; exit 99; }
	fi
}

#####################################################################
#
#	clusterpro_alertsync set
#
set_alert() {
	if [ $ulflag -eq 1 ]
	then
		chkconfig --set clusterpro_alertsync on > /dev/null 2>&1
		[ $? -ne 0 ] && { echo "set clusterpro_alertsync failed!"; exit 99; }
	else
		chkconfig --add clusterpro_alertsync > /dev/null 2>&1
		[ $? -ne 0 ] && { echo "set clusterpro_alertsync failed!"; exit 99; }
	fi
}


#####################################################################
#
#	clusterpro_evt del
#
del_evt() {
	chkconfig --del clusterpro_evt > /dev/null 2>&1
	[ $? -ne 0 ] && { echo "del clusterpro_evt failed!"; exit 99; }
}


#####################################################################
#
#	clusterpro_trn del
#
del_trn() {
	chkconfig --del clusterpro_trn > /dev/null 2>&1
	[ $? -ne 0 ] && { echo "del clusterpro_trn failed!"; exit 99; }

}

#####################################################################
#
#	clusterpro_md del
#
del_md() {
	chkconfig --del clusterpro_md > /dev/null 2>&1
	[ $? -ne 0 ] && { echo "del clusterpro_md failed!"; exit 99; }
}

#####################################################################
#
#	clusterpro del
#
del_clu_main() {
	chkconfig --del clusterpro > /dev/null 2>&1
	[ $? -ne 0 ] && { echo "del clusterpro failed!"; exit 99; }
}

#####################################################################
#
#	clusterpro_webmgr del
#
del_webmgr() {
	chkconfig --del clusterpro_webmgr > /dev/null 2>&1
	[ $? -ne 0 ] && { echo "del clusterpro_webmgr failed!"; exit 99; }
}

#####################################################################
#
#	clusterpro_alertsync del
#
del_alert() {
	chkconfig --del clusterpro_alertsync > /dev/null 2>&1
	[ $? -ne 0 ] && { echo "del clusterpro_alertsync failed!"; exit 99; }
}

#####################################################################
#
#	print_list 
#
print_list() {
	chkconfig --list | grep clusterpro
	[ $? -ne 0 ] && { echo "chkconfig no clusterpro member!"; exit 99; }

}



#***************************************
#*             clpconf.sh              *
#***************************************
if [ -f "/etc/UnitedLinux-release" ]
then
	ulflag=1
else
	ulflag=0
fi

evtflag=0
trnflag=0
mdflag=0
mainflag=0
webflag=0
alertflag=0

for i in $@
do
	case $i in
	--evt)
		evtflag=1
		;;
	--trn)
		trnflag=1
		;;
	--md)
		if [ -f "/etc/init.d/clusterpro_md" ]
		then
			mdflag=1
		fi
		;;
	--main)
		mainflag=1
		;;
	--webmgr)
		webflag=1
		;;
	--alert)
		alertflag=1
		;;
	--base)
		evtflag=1
		trnflag=1
		;;
	--core)
		if [ -f "/etc/init.d/clusterpro_md" ]
		then
			mdflag=1
		fi
		mainflag=1
		;;
	--mgr)
		webflag=1
		alertflag=1
		;;
	--all)
		evtflag=1
		trnflag=1
		if [ -f "/etc/init.d/clusterpro_md" ]
		then
			mdflag=1
		fi
		mainflag=1
		webflag=1
		alertflag=1
		;;
	--add | --set | --del | --list | --help | -h)
		;;
	*)
		echo "Invalid paramerter"
		exit 1
		;;
	esac
done


if [ "$1" = "--set" -o "$1" = "--add" ]
then
	if [ $evtflag -eq 1 ]
	then
		set_evt
	fi

	if [ $trnflag -eq 1 ]
	then
		set_trn
	fi

	if [ $mdflag -eq 1 ]
	then
		set_md
	fi

	if [ $mainflag -eq 1 ]
	then
		set_clu_main
	fi

	if [ $webflag -eq 1 ]
	then
		set_webmgr
	fi

	if [ $alertflag -eq 1 ]
	then
		set_alert
	fi


elif [ "$1" = "--del" ]
then
	if [ $alertflag -eq 1 ]
	then
		del_alert
	fi

	if [ $webflag -eq 1 ]
	then
		del_webmgr
	fi

	if [ $mainflag -eq 1 ]
	then
		del_clu_main
	fi

	if [ $mdflag -eq 1 ]
	then
		del_md
	fi

	if [ $trnflag -eq 1 ]
	then
		del_trn
	fi

	if [ $evtflag -eq 1 ]
	then
		del_evt
	fi


elif [ "$1" = "--help" -o "$1" = "-h" ]
then
	echo ""
	echo "Usage: clpconf.sh --set [--base | --core | --mgr | --evt | --trn"
	echo "					 	| --md | --main | --webmgr | --alert]  : set"
	echo "Usage: clpconf.sh --add [--base | --core | --mgr | --evt | --trn"
	echo "					 	| --md | --main | --webmgr | --alert]  : set"
	echo "       clpconf.sh --del [--base | --core | --mgr | --evt | --trn | --md"
	echo "					                |--main | --webmgr | --alert]  : unset"
	echo "       clpconf.sh --list                 		                               : list"
	echo " "
	echo "  --add     Set."
	echo "  --set     Set."
	echo "  --del     Unset."
	echo "  --list    Print chkconfig --list."
	echo "  --evt     Set or Unset event."
	echo "  --trn     Set or Unset trn."
	echo "  --md      Set or Unset md(Only for LE)."
	echo "  --main    Set or Unset Cluster Main."
	echo "  --webmgr  Set or Unset webmgr."
	echo "  --alert   Set or Unset alert."
	echo "  --base    Set or Unset event,trn."
	echo "  --core    Set or Unset md(Only for LE),Cluster Main."
	echo "  --mgr     Set or Unset Webmgr,Alert."
	echo "  --all     Set or Unset All."

elif [ "$1" = "--list" ]
then
	print_list
else
	echo "Invalid option!"
	exit 1
fi

exit 0
